View Issue Details

IDProjectCategoryView StatusLast Update
0003655SymmetricDSBugpublic2018-08-09 15:13
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.40Fixed in Version3.8.40 
Summary0003655: Routing log messages can be excessively long
DescriptionRouting will log data gaps and transaction id's when routing slows down. For example, this kind of message can show with a lot of gaps and transactions and roll the log in a statement or two.

2018-08-01 15:52:11,880 INFO [Source] [RouterService] [Source-job-11] Routing for channel 'default' has been processing for 60 seconds. The following stats have been gathered: totalDataRoutedCount=64122, totalDataEventCount=64122, startDataId=223807607, endDataId=223875215, dataReadCount=68000, peekAheadFillCount=34, transactions=[1718.18.11050, 1718.18.11051, 1718.18.11052, 1590.30.42912, 1590.30.42913, 1590.30.42910, 1590.30.42911, 1590.30.42906, 1590.30.42903, 1590.30.42904, 1590.30.42909, 1590.30.42907, 1590.30.42908, 1718.18.11040, 1718.18.11041, 1718.18.11042, 1817.13.25619, 1718.18.11043, 1590.30.42920, 1718.18.11044, 1718.18.11045, 1718.18.11046, 1590.30.42923, 1718.18.11047, 1590.30.42924, 1718.18.11048, 1590.30.42921, 1590.30.42922, 1718.18.11049, 1590.30.42916, 1590.30.42917, 1590.30.42914, 1590.30.42915, 1590.30.42918, 1590.30.42919, 598.32.674264, 598.32.674265, 1700.12.33597, .....

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 a49c1dfc

2018-08-01 17:40:13

mmichalek

Details Diff
0003655: Routing log messages can be excessively long
0003655
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2018-08-01 17:39 mmichalek New Issue
2018-08-01 17:39 mmichalek Status new => assigned
2018-08-01 17:39 mmichalek Assigned To => mmichalek
2018-08-01 18:00 mmichalek Changeset attached => SymmetricDS 3.8 a49c1dfc
2018-08-02 10:52 mmichalek Issue cloned: 0003656
2018-08-02 10:56 mmichalek Status assigned => resolved
2018-08-02 10:56 mmichalek Resolution open => fixed
2018-08-02 10:56 mmichalek Fixed in Version => 3.8.40
2018-08-02 10:56 mmichalek Target Version => 3.8.40
2018-08-09 15:13 elong Status resolved => closed